## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csLightProperties Member List

This is the complete list of members for csLightProperties, including all inherited members.

attenuationConsts | csLightProperties |
attenuationMode | csLightProperties |
color | csLightProperties |
csLightProperties() | csLightProperties | `[inline]`
csLightProperties(size_t lightNum, csLightShaderVarCache &svcache, const csShaderVarStack &stacks) | csLightProperties | `[inline]`
dirObject | csLightProperties |
posObject | csLightProperties |
spotFalloffInner | csLightProperties |
spotFalloffOuter | csLightProperties |
type | csLightProperties |